from parser.parser import Parser
import os
from os.path import join, dirname
from pathlib import Path
import re
import sys
import cProfile


def main():
    # make sure you sanitize every input into unicode

    SSJ500K_2_1 = 27829  # number of sentences
    par = Parser()

    """
    print("parsing ssj")
    ssj_file = "../data/ssj500k-sl.sample.xml"
    ssj_dict = par.parse_tei(ssj_file)
    # assert (len(ssj_dict) == 27829), "Parsed wrong number of sentences."
    print("end parsing ssj")
    """

    print("parsing kres")
    # kres_file = "../data/kres_example/F0019343.xml.parsed.xml"
    kres_dir = Path("../data/kres_example/").resolve()
    kres_out_dir = kres_dir.parent / (kres_dir.name + "_out")
    kres_out_dir.mkdir(exist_ok=True)

    for kres_file in [x for x in kres_dir.iterdir() if x.is_file()]:

        print("Processing file: " + str(kres_file))
        out_str = ""
        res_dict = par.parse_tei(kres_file)
        for _, sentence in res_dict.items():
            out_str += par.to_conll_2009_SRL(sentence)
        with (kres_out_dir / kres_file.name).with_suffix(".tsv").open("wb+") as fp:
            fp.write(out_str.encode("utf-8"))
            fp.close()
    print("end parsing kres")


if __name__ == "__main__":
    # cProfile.run("main()", sort="tottime")
    main()
